input::-webkit-input-placeholder { /* Chrome, Safari, Edge */
    color: var(--bs-gray-400);
    opacity: 0.9;
}

input::-moz-placeholder { /* Firefox 19+ */
    color: var(--bs-gray-400);
    opacity: 0.9;
}

input:-ms-input-placeholder { /* IE 10+ */
    color: var(--bs-gray-400);
    opacity: 0.9;
}

input:-ms-input-placeholder { /* Microsoft Edge */
    color: var(--bs-gray-400);
    opacity: 0.9;
}

input::placeholder { /* Standard */
    color: var(--bs-gray-400);
    opacity: 0.9;
}

.form-control::-webkit-input-placeholder,
.form-control::-moz-placeholder,
.form-control:-ms-input-placeholder, /*.form-control::-ms-input-placeholder,*/
.form-control::placeholder {
    color: var(--bs-gray-400) !important;
    opacity: 0.9 !important;
}

input[type="search"]::-webkit-search-cancel-button, /* For Chrome, Safari, Edge */
input[type="search"]::-moz-search-clear, /* For Firefox */
input[type="search"]::-ms-clear /* For Internet Explorer */ {
    cursor: pointer;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }


/* stick header to top with small shadow */
.navbar {
    position: sticky;
    top: 0;
    z-index: 1020;
}

/* push the footer down if content is short */
html, body {
    height: 100vh;
}

.cursor-pointer {
    cursor: pointer;
}

main, .main {
    height: auto;
}

/* small logo styling fallback */
.navbar-brand img {
    object-fit: contain;
}

.navbar-toggler {
    /*padding: 10px 10px;*/
}

.navbar-toggler:focus {
    box-shadow: none;
}

.navbar-toggler-icon {
    width: 1.40em;
    height: 1.25em;
}

    .navbar-toggler.plyr-toggler {
        right: 100%;
        position: absolute;
        border: 0;
        border-radius: 0;
        border-bottom-left-radius: 0.325rem !important;
        border-top-left-radius: 0.325rem !important;
        opacity: 0.6;
    }

        .navbar-toggler.plyr-toggler:hover {
            opacity: 1;
        }

        .navbar-toggler.plyr-toggler[aria-expanded=true] {
            opacity: 1;
        }

.navbar-toggler .navbar-toggler-animation {
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-image: none;
    position: relative;
    height: 1.25rem;
    width: 1.250rem;
    margin: 0.625rem;
    display: inline-block;
    vertical-align: middle;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100%;
}

        .navbar-toggler .navbar-toggler-animation span {
            -webkit-transition: all 0.3s ease-in-out;
            transition: all 0.3s ease-in-out;
            -webkit-transform: rotateZ(0deg);
            transform: rotateZ(0deg);
            height: 0.15rem;
            background: var(--bs-gray-600);
            display: block;
            position: absolute;
            width: 100%;
            border-radius: 30px;
        }

            .navbar-toggler .navbar-toggler-animation span:nth-child(1) {
                top: 10%;
            }

            .navbar-toggler .navbar-toggler-animation span:nth-child(2) {
                top: 50%;
                -webkit-transform: translateY(-50%);
                transform: translateY(-50%);
            }

            .navbar-toggler .navbar-toggler-animation span:nth-child(3) {
                bottom: 7%;
            }

    .navbar-toggler[data-bs-toggle=collapse][aria-expanded=true] .navbar-toggler-animation span:nth-child(1) {
        -webkit-transform: rotateZ(45deg) translateY(-50%);
        transform: rotateZ(45deg) translateY(-50%);
        top: 50%;
        -webkit-transform-origin: 50% 0;
        transform-origin: 50% 0;
        width: 100%;
    }

    .navbar-toggler[data-bs-toggle=collapse][aria-expanded=true] .navbar-toggler-animation span:nth-child(2) {
        visibility: hidden;
        -webkit-transition: all 0s ease-in-out;
        transition: all 0s ease-in-out;
    }

    .navbar-toggler[data-bs-toggle=collapse][aria-expanded=true] .navbar-toggler-animation span:nth-child(3) {
        -webkit-transform: rotateZ(-45deg) translateY(-50%);
        transform: rotateZ(-45deg) translateY(-50%);
        bottom: 38%;
        -webkit-transform-origin: 50% 0;
        transform-origin: 50% 0;
        width: 100%;
    }

.text-1 {
    font-size: 12px !important;
    font-size: 0.75rem !important;
}

.text-2 {
    font-size: 14px !important;
    font-size: 0.875rem !important;
}

.text-3 {
    font-size: 16px !important;
    font-size: 1rem !important;
}

.text-4 {
    font-size: 20px !important;
    font-size: 1.25rem !important;
}

.fw-100 {
    font-weight: 100 !important;
}

.fw-200 {
    font-weight: 200 !important;
}

.fw-300 {
    font-weight: 300 !important;
}

.fw-400 {
    font-weight: 400 !important;
}

.fw-500 {
    font-weight: 500 !important;
}

.fw-600 {
    font-weight: 600 !important;
}

.fw-700 {
    font-weight: 700 !important;
}

.fw-800 {
    font-weight: 800 !important;
}

.fw-900 {
    font-weight: 900 !important;
}


.form-control {
    padding: 0.625rem 1.25rem;
    font-size: 1rem;
}

.page-header {
    padding: 0px;
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    flex-direction: row;
    background-color: #031633;
}

.secondary-nav {
    padding-top: 12px;
    height: 72px;
    padding-bottom: 0px;
    flex-wrap: nowrap;
    align-items: center;
    overflow: hidden;
}

    .secondary-nav.nav .nav-link {
        display: flex;
        font-size: 14px;
        padding: 8px 5px 8px;
        margin: auto 0.5px;
        width: 76px;
        height: 60px;
        text-align: center;
        align-items: center;
        border-radius: 12px 12px 0 0;
        color: var(--bs-nav-link-disabled-color);
        flex-direction: column;
        justify-content: flex-start;
    }
        .secondary-nav.nav .nav-link .nav-link-icon {
            font-size: 20px;
            margin-bottom: 0px;
        }

        .secondary-nav.nav .nav-link.active {
            background: var(--bs-light) !important;
            color: var(--bs-info);
        }

.validation-message {
    color: var(--bb-callout-code-color);
}

/* Input form bar */
.input-bar {
    width: 100%;
    position: relative;
}

    .input-bar .form-control {
        border-radius: 20px;
    }

    /*.input-bar .form-control:not(:last-child) {
        padding-left: 2.5rem;
        padding-right: 2.5rem;
    }*/

    /* Second case: When .input-bar does not have .input-bar-prepend but has .input-bar-append */
    .input-bar:has(.input-bar-prepend):has(.input-bar-append) > .form-control {
        padding-left: 2.5rem;
        padding-right: 2.5rem;
    }

    /* Second case: When .input-bar does not have .input-bar-prepend but has .input-bar-append */
    .input-bar:has(.input-bar-prepend):not(:has(.input-bar-append)) > .form-control {
        padding-left: 2.5rem;
        border-radius: 20px;
    }

    /* Third case: When .input-bar only has .input-bar-append */
    .input-bar:has(.input-bar-append):not(:has(.input-bar-prepend)) > .form-control {
        padding-right: 2.5rem;
        border-radius: 20px;
    }

    .input-bar .form-control .dropdown-section {
        /*padding: 0px 0px 0px 2px;*/
    }

    .input-bar .form-control .dropdown-item {
        padding-left: calc(2.5rem - 2px) !important;
    }

    .input-bar .input-bar-prepend,
    .input-bar .input-bar-append {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        z-index: 1;
    }

    .input-bar .input-bar-prepend {
        left: 15px;
    }


    .input-bar .input-bar-append {
        right: 15px;
    }

    .input-bar .suggestions-box {
        position: absolute;
        top: 100%;
        width: 100%;
        border: 1px solid #ccc;
        border-radius: 8px;
        background-color: #fff;
        z-index: 10;
        display: none;
        max-height: 300px;
        overflow-y: auto;
    }

    .input-bar .suggestion-item {
        padding: 10px;
        display: flex;
        align-items: center;
        cursor: pointer;
    }

        .input-bar .suggestion-item:hover {
            background-color: #f1f1f1;
        }

    .input-bar .suggestion-icon {
        margin-right: 10px;
        color: #666;
    }


.carousel.slide {
    aspect-ratio: 16 / 8;
    overflow: hidden;
}

/* Form Slider*/
.slide-container {
    width: 100%;
    overflow: hidden;
    border-radius: var(--bs-border-radius-lg);
}

.slider {
    display: flex;
    width: 200%;
    transition: transform 0.5s ease-in-out;
}



.slid {
    transform: translateX(-50%);
}

.form-step, .next-step {
    width: 50%;
    padding: 1px;
}









@media (min-width: 576px) {
    .navbar-expand-sm .navbar-collapse {

    }
}

@media (min-width: 768px) {
    .navbar-expand-md .navbar-brand {
        padding: 16px 0;
    }

        .navbar-expand-md .navbar-brand > img {
            aspect-ratio: 16 / 6;
            width: 140px;
        }
}

@media (min-width: 992px) {
    .navbar-expand-lg .navbar-collapse {

    }
}

@media (min-width: 1200px){
    .navbar-expand-xl .navbar-collapse {

    }
}

@media (min-width: 1400px) {
    .navbar-expand-xl .navbar-collapse {
    }
}

@media (max-width: 575.98888px) {
}

@media (max-width: 767.98888px) {
    .navbar-expand-md .navbar-collapse {
        box-shadow: rgba(83, 88, 93, 0.4) 0px 4px 5px -4px;
        position: absolute;
        left: 0px;
        right: 0px;
        top: 100%;
        background: var(--bs-body-bg);
        border-top: 1px solid rgba(0, 0, 0, 0.02);
    }

    .navbar-expand-md .navbar-brand > img {
        aspect-ratio: 16 / 6;
        width: 100px;
    }
}

@media (max-width: 991.98888px) {
}

@media (max-width: 1199.9888px) {
}

@media (max-width: 1399.98888px) {
}
